add_library(sqlite3 STATIC
    sqlite-amalgamation-3490100/sqlite3.h sqlite-amalgamation-3490100/sqlite3.c
)

target_include_directories(sqlite3
    INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/sqlite-amalgamation-3490100
)